<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/uart.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">uart.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series Smartcard UART mode (UART) driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for uart.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d56/uart_8c__incl.png" border="0" usemap="#a_std_driver_2src_2uart_8c" alt=""/></div>
</div>
</div>
<p><a href="../../d1/d87/uart_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a> (void)</td></tr>
<tr class="memdesc:gad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate current PLL clock frequency.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">More...</a><br /></td></tr>
<tr class="separator:gad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">UART_ClearIntFlag</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to clear UART specified interrupt flag.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">More...</a><br /></td></tr>
<tr class="separator:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">UART_Close</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">More...</a><br /></td></tr>
<tr class="separator:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">UART_DisableFlowCtrl</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART auto flow control.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">More...</a><br /></td></tr>
<tr class="separator:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga978d8c95e3b536a84f56567f9eb35597"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">UART_DisableInt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga978d8c95e3b536a84f56567f9eb35597"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART specified interrupt.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">More...</a><br /></td></tr>
<tr class="separator:ga978d8c95e3b536a84f56567f9eb35597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b63c003589dc997066dc8e5b77d0662"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">UART_EnableFlowCtrl</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga7b63c003589dc997066dc8e5b77d0662"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to Enable UART auto flow control.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">More...</a><br /></td></tr>
<tr class="separator:ga7b63c003589dc997066dc8e5b77d0662"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">UART_EnableInt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to enable UART specified interrupt.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">More...</a><br /></td></tr>
<tr class="separator:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadcca8d11ae146138c089c65c2a9eb428"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">UART_Open</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32baudrate)</td></tr>
<tr class="memdesc:gadcca8d11ae146138c089c65c2a9eb428"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to enable UART function and set baud-rate.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">More...</a><br /></td></tr>
<tr class="separator:gadcca8d11ae146138c089c65c2a9eb428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">UART_Read</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</td></tr>
<tr class="memdesc:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to read Rx data from RX FIFO and the data will be stored in pu8RxBuf.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">More...</a><br /></td></tr>
<tr class="separator:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83fe107ad6c49af362366874e4a730e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">UART_SetLine_Config</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32baudrate, uint32_t u32data_width, uint32_t u32parity, uint32_t u32stop_bits)</td></tr>
<tr class="memdesc:ga83fe107ad6c49af362366874e4a730e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to config UART line setting.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">More...</a><br /></td></tr>
<tr class="separator:ga83fe107ad6c49af362366874e4a730e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">UART_SetTimeoutCnt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32TOC)</td></tr>
<tr class="memdesc:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to set Rx timeout count.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">More...</a><br /></td></tr>
<tr class="separator:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab74d997a2c280fedd422b65cc06ed4e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">UART_SelectIrDAMode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Buadrate, uint32_t u32Direction)</td></tr>
<tr class="memdesc:gab74d997a2c280fedd422b65cc06ed4e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to configure IrDA relative settings. It consists of TX or RX mode and baudrate.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">More...</a><br /></td></tr>
<tr class="separator:gab74d997a2c280fedd422b65cc06ed4e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga012cceda57fbf706282dfc225754f9ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">UART_SelectRS485Mode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Mode, uint32_t u32Addr)</td></tr>
<tr class="memdesc:ga012cceda57fbf706282dfc225754f9ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to set RS485 relative setting.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">More...</a><br /></td></tr>
<tr class="separator:ga012cceda57fbf706282dfc225754f9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga10d8bd72a87f9e2678accad6ff5ab594"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">UART_SelectLINMode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Mode, uint32_t u32BreakLength)</td></tr>
<tr class="memdesc:ga10d8bd72a87f9e2678accad6ff5ab594"><td class="mdescLeft">&#160;</td><td class="mdescRight">Select and configure LIN function.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">More...</a><br /></td></tr>
<tr class="separator:ga10d8bd72a87f9e2678accad6ff5ab594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c407ea077120e5e2e19b44742554137"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">UART_Write</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</td></tr>
<tr class="memdesc:ga7c407ea077120e5e2e19b44742554137"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is to write data into TX buffer to transmit data by UART.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">More...</a><br /></td></tr>
<tr class="separator:ga7c407ea077120e5e2e19b44742554137"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series Smartcard UART mode (UART) driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>14 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/17 1:31p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
